Subject: Re: bug#14720: 24.2; EPA Verify fails with encrypted signed message

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 Sep 2019 14:10:37 +0200

Matt Puumala <[email-masked]> writes:

> * load testmsg.asc into a buffer
> * Set region to include entire pgp message
> * M-x epa-verify-region
> * Enter passphrase when asked (to decrypt message)
>
>> In the *Message* buffer (and briefly in echo area), I see:
>>  Verifying...
>>  error in process filter: Process epg not running [2 times]
>>  Verifying...done
>
>> I see mini-buffer query "Replace the original text? (y or n)"
> * enter 'n'
>
>> I see empty *Temp* buffer (decryption did not succeed)
>
>> I never see any feedback about signature verification.

I've now made this error out in Emacs 27 instead of continuing as if it
was successful.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no